Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # ChannelsCompatibleConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename T1, typename T2> struct boost::gil::ChannelsCompatibleConcept< T1, T2 > Channels are compatible if their associated value types (ignoring constness and references) are the same.
    concept ChannelsCompatibleConcept<ChannelConcept T1, ChannelConcept T2> {
        where SameType<T1::value_type, T2::value_type>;
    };
## Public Member Functions
void | constraints ()
The documentation for this struct was generated from the following file: gil_concept.hpp